首页 > 2.8

2.8

  • 有WordPress用户将网站自动升级到2.8版本时发现一个问题,升级时会有文本丢失现象发生。 而在WordPress Trac中悄悄出现了一个全新的ticket:Trac ticket # 10140

    问题产生的原因

    一方面升级程序需要下载并打开很多文件。 如果在下载或文件打开过程中出现任何问题(如错误的写入权限等),升级程序会撤回之前的操作,于是那些没有问题的下载文件也一并被删除了。

    理论上来说就是这样。 而根据用户目前的下载问题来看,是一个漏洞导致了他们的网站无法运行——之前的安装文件也被删除了。

    解决方案

    最好的解决方法是从FTP中上传升级前使用的WordPress版本。 如果安装文件已经不能再使用,可以到WordPress.org的历史版本中下载。

    同时还需要确定是否需要修改wp-config.php文件,升级时也可能把这个文件一并删除了。

    阅读全文

  • WordPress 2.8的Beta 1版本已经可以下载了,对那些喜欢领导潮流的人来说,这无疑是一个好消息。不过我们仍然推荐在测试环境下而不是在真实的网站或博客上使用该Beta版本,我们希望用户能在正式版的候选版本发布之后,再用在自己的网站上。

    以下是WordPress2.8的新特性:

    阅读全文

  • 使用情况

    我花了很多功夫研究WordPress的认证系统。 两年前我接手WordPress的OpenID插件开发工作,去年五月又被Vidoop聘请来全职研究DiSo项目。 去年夏天,我应Matt Mullenweg的邀请在 WordPress 2008年的San Francisco 夏令营中讲述关于OAuth的问题。 你可以在我的 slidedeck看到,那时这仅仅是一个幻象…当时WordPress中还没有OAuth,尽管在产品计划书上已经列出这一规划。

    Stephen Paul Weber写到,我们刚开发出一款OAuth插件,但直到几个月前我才有时间改进这款插件。 我们要解决的第一个使用问题就是XML-RPC,因此我开始与Joseph Scott合作。 如果给博客客户端(如MarsEdit或WordPress iPhone app)添加Oauth认证程序,客户端就可以直接与你的博客交流而不必用到你的WordPress密码了。

    阅读全文

同步内容